Bug 828180 - Seam 2.3 examples cannot be built: Could not find artifact org.apache.maven.plugins:maven-enforcer-plugin:pom:1.0-redhat-1
Seam 2.3 examples cannot be built: Could not find artifact org.apache.maven.p...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
urgent Severity urgent
: ---
: 2.0.0.ER8
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 08:26 EDT by Marek Schmidt
Modified: 2012-06-22 04:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 04:11:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-04 08:26:51 EDT
Attempting to build the Seam2.3 examples fails, as org.apache.maven.plugins:maven-enforcer-plugin:jar:1.0-redhat-1 is not available in the repository. Examples should probably be changed to not depend on jboss-parent.

mvn clean verify -Darquillian=jbossas-managed-7 -Dversion.jbossas7=7.1.2.Final-redhat-1

Plugin org.apache.maven.plugins:maven-enforcer-plugin:1.0-redhat-1 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-enforcer-plugin:jar:1.0-redhat-1: Could not find artifact org.apache.maven.plugins:maven-enforcer-plugin:pom:1.0-redhat-1 in jboss-eap-repository-group (file:///home/maschmid/.m2/jboss-eap-6.0.0.ER8-maven-repository)
Comment 1 Marek Novotny 2012-06-10 15:14:34 EDT
examples are now without parent
Comment 2 Marek Schmidt 2012-06-12 11:01:20 EDT
Verified on WFK 2.0.0.ER8.

Note You need to log in before you can comment on or make changes to this bug.